From 98411ce6ca578e171a666870c53ea31670be2500 Mon Sep 17 00:00:00 2001
From: Rafal Luzynski <digitalfreak@lingonborough.com>
Date: Wed, 26 Jul 2017 01:44:02 +0200
Subject: [PATCH] Indian scripts: More fixes after the recent import.

After the recent import of month names from CLDRv31 (bug 21217,
commit c853f14) an import of abbreviated month names is also needed
to make sure they match the full forms.

In case of kok_IN CLDR does not provide the abbreviated month names
explicitly but uses full month names in such cases so abmon section
has been copied from mon.

* localedata/locales/as_IN (abmon): Update from CLDR.
* localedata/locales/bn_BD (abmon): Likewise.
* localedata/locales/bn_IN (abmon): Likewise.
* localedata/locales/gu_IN (abmon): Likewise.
* localedata/locales/hi_IN (abmon): Likewise.
* localedata/locales/kn_IN (abmon): Likewise.
* localedata/locales/ml_IN (abmon): Likewise.
* localedata/locales/mr_IN (abmon): Likewise.
* localedata/locales/ne_NP (abmon): Likewise.
* localedata/locales/or_IN (abmon): Likewise.
* localedata/locales/pa_IN (abmon): Likewise.
* localedata/locales/ta_IN (abmon): Likewise.
* localedata/locales/te_IN (abmon): Likewise.

* localedata/locales/kok_IN (abmon): Likewise but copied from mon.
---
 localedata/ChangeLog      | 21 +++++++++++++++++++++
 localedata/locales/as_IN  | 12 ++++++------
 localedata/locales/bn_BD  | 16 ++++++++--------
 localedata/locales/bn_IN  |  4 ++--
 localedata/locales/gu_IN  | 22 +++++++++++-----------
 localedata/locales/hi_IN  | 18 +++++++++---------
 localedata/locales/kn_IN  | 20 ++++++++++----------
 localedata/locales/kok_IN | 20 ++++++++++----------
 localedata/locales/ml_IN  | 14 +++++++-------
 localedata/locales/mr_IN  | 16 ++++++++--------
 localedata/locales/ne_NP  | 18 +++++++++---------
 localedata/locales/or_IN  | 24 ++++++++++++------------
 localedata/locales/pa_IN  | 18 +++++++++---------
 localedata/locales/ta_IN  | 10 +++++-----
 localedata/locales/te_IN  | 10 +++++-----
 15 files changed, 132 insertions(+), 111 deletions(-)

diff --git a/localedata/ChangeLog b/localedata/ChangeLog
index f5058c3..ad04984 100644
--- a/localedata/ChangeLog
+++ b/localedata/ChangeLog
@@ -1,3 +1,24 @@
+2017-07-21  Rafal Luzynski <digitalfreak@lingonborough.com>
+
+	Indian scripts: abmon imported from CLDRv31 (related with
+	BZ#21217).
+
+	* locales/as_IN (abmon): Update from CLDR.
+	* locales/bn_BD (abmon): Likewise.
+	* locales/bn_IN (abmon): Likewise.
+	* locales/gu_IN (abmon): Likewise.
+	* locales/hi_IN (abmon): Likewise.
+	* locales/kn_IN (abmon): Likewise.
+	* locales/ml_IN (abmon): Likewise.
+	* locales/mr_IN (abmon): Likewise.
+	* locales/ne_NP (abmon): Likewise.
+	* locales/or_IN (abmon): Likewise.
+	* locales/pa_IN (abmon): Likewise.
+	* locales/ta_IN (abmon): Likewise.
+	* locales/te_IN (abmon): Likewise.
+
+	* locales/kok_IN (abmon): Likewise but copied from mon.
+
 2017-07-25  Akhilesh Kumar <akhilesh.k@samsung.com>
 
 	[BZ #21797]
diff --git a/localedata/locales/as_IN b/localedata/locales/as_IN
index 028efd3..b7c905a 100644
--- a/localedata/locales/as_IN
+++ b/localedata/locales/as_IN
@@ -97,18 +97,18 @@ day     "<U09A6><U09C7><U0993><U09AC><U09BE><U09F0>";/
         "<U09AC><U09C3><U09B9><U09B7><U09CD><U09AA><U09A4><U09BF><U09AC><U09BE><U09F0>";/
         "<U09B6><U09C1><U0995><U09CD><U09F0><U09AC><U09BE><U09F0>";/
         "<U09B6><U09A8><U09BF><U09AC><U09BE><U09F0>"
-abmon   "<U099C><U09BE><U09A8><U09C1><U09F1><U09BE><U09F0><U09C0>";/
-        "<U09AB><U09C7><U09AC><U09CD><U09F0><U09C1><U09F1><U09BE><U09F0><U09C0>";/
+abmon   "<U099C><U09BE><U09A8><U09C1>";/
+        "<U09AB><U09C7><U09AC><U09CD><U09F0><U09C1>";/
         "<U09AE><U09BE><U09F0><U09CD><U099A>";/
         "<U098F><U09AA><U09CD><U09F0><U09BF><U09B2>";/
         "<U09AE><U09C7>";/
         "<U099C><U09C1><U09A8>";/
         "<U099C><U09C1><U09B2><U09BE><U0987>";/
         "<U0986><U0997>";/
-        "<U099A><U09C7><U09AA><U09CD><U09A4><U09C7><U09AE><U09CD><U09AC><U09F0>";/
-        "<U0985><U0995><U09CD><U099F><U09CB><U09AC><U09F0>";/
-        "<U09A8><U09AD><U09C7><U09AE><U09CD><U09AC><U09F0>";/
-        "<U09A1><U09BF><U099A><U09C7><U09AE><U09CD><U09AC><U09F0>"
+        "<U09B8><U09C7><U09AA><U09CD><U099F>";/
+        "<U0985><U0995><U09CD><U099F><U09CB>";/
+        "<U09A8><U09AD><U09C7>";/
+        "<U09A1><U09BF><U09B8><U09C7>"
 mon     "<U099C><U09BE><U09A8><U09C1><U09F1><U09BE><U09F0><U09C0>";/
         "<U09AB><U09C7><U09AC><U09CD><U09F0><U09C1><U09F1><U09BE><U09F0><U09C0>";/
         "<U09AE><U09BE><U09F0><U09CD><U099A>";/
diff --git a/localedata/locales/bn_BD b/localedata/locales/bn_BD
index 2fea384..505faee 100644
--- a/localedata/locales/bn_BD
+++ b/localedata/locales/bn_BD
@@ -111,17 +111,17 @@ day         "<U09B0><U09AC><U09BF><U09AC><U09BE><U09B0>";/
 
 %janu febru march apri may jun jul aug septe octo nove dece
 abmon       "<U099C><U09BE><U09A8><U09C1>";/
-            "<U09AB><U09C7><U09AC><U09CD><U09B0><U09C1>";/
+            "<U09AB><U09C7><U09AC>";/
             "<U09AE><U09BE><U09B0><U09CD><U099A>";/
-            "<U098F><U09AA><U09CD><U09B0><U09BF>";/
+            "<U098F><U09AA><U09CD><U09B0><U09BF><U09B2>";/
             "<U09AE><U09C7>";/
             "<U099C><U09C1><U09A8>";/
-            "<U099C><U09C1><U09B2>";/
-            "<U0986><U0997>";/
-            "<U09B8><U09C7><U09AA><U09CD><U099F><U09C7>";/
-            "<U0985><U0995><U09CD><U099F><U09CB>";/
-            "<U09A8><U09AD><U09C7>";/
-            "<U09A1><U09BF><U09B8><U09C7>"
+            "<U099C><U09C1><U09B2><U09BE><U0987>";/
+            "<U0986><U0997><U09B8><U09CD><U099F>";/
+            "<U09B8><U09C7><U09AA><U09CD><U099F><U09C7><U09AE><U09CD><U09AC><U09B0>";/
+            "<U0985><U0995><U09CD><U099F><U09CB><U09AC><U09B0>";/
+            "<U09A8><U09AD><U09C7><U09AE><U09CD><U09AC><U09B0>";/
+            "<U09A1><U09BF><U09B8><U09C7><U09AE><U09CD><U09AC><U09B0>"
 
 mon         "<U099C><U09BE><U09A8><U09C1><U09AF><U09BC><U09BE><U09B0><U09C0>";/
             "<U09AB><U09C7><U09AC><U09CD><U09B0><U09C1><U09AF><U09BC><U09BE><U09B0><U09C0>";/
diff --git a/localedata/locales/bn_IN b/localedata/locales/bn_IN
index b27af12..f81e1de 100644
--- a/localedata/locales/bn_IN
+++ b/localedata/locales/bn_IN
@@ -109,8 +109,8 @@ day         "<U09B0><U09AC><U09BF><U09AC><U09BE><U09B0>";"<U09B8><U09CB><U09AE><
 
 %
 % Abbreviated month names (%b)
-abmon       "<U099C><U09BE><U09A8><U09C1><U09DF><U09BE><U09B0><U09BF>";/
-            "<U09AB><U09C7><U09AC><U09CD><U09B0><U09C1><U09DF><U09BE><U09B0><U09BF>";/
+abmon       "<U099C><U09BE><U09A8><U09C1>";/
+            "<U09AB><U09C7><U09AC>";/
             "<U09AE><U09BE><U09B0><U09CD><U099A>";"<U098F><U09AA><U09CD><U09B0><U09BF><U09B2>";/
             "<U09AE><U09C7>";"<U099C><U09C1><U09A8>";/
             "<U099C><U09C1><U09B2><U09BE><U0987>";"<U0986><U0997><U09B8><U09CD><U099F>";/
diff --git a/localedata/locales/gu_IN b/localedata/locales/gu_IN
index c0114ed..30577e1 100644
--- a/localedata/locales/gu_IN
+++ b/localedata/locales/gu_IN
@@ -126,18 +126,18 @@ day		"<U0AB0><U0AB5><U0ABF><U0AB5><U0ABE><U0AB0>";/
 		"<U0AB6><U0AA8><U0ABF><U0AB5><U0ABE><U0AB0>"
 
 % Abbreviated month names (%b)
-abmon 		"<U0A9C><U0ABE><U0AA8>";/
-		"<U0AAB><U0AC7><U0AAC>";/
-		"<U0AAE><U0ABE><U0AB0>";/
-		"<U0A8F><U0AAA><U0ACD><U0AB0>";/
+abmon 		"<U0A9C><U0ABE><U0AA8><U0ACD><U0AAF><U0AC1>";/
+		"<U0AAB><U0AC7><U0AAC><U0ACD><U0AB0><U0AC1>";/
+		"<U0AAE><U0ABE><U0AB0><U0ACD><U0A9A>";/
+		"<U0A8F><U0AAA><U0ACD><U0AB0><U0ABF><U0AB2>";/
 		"<U0AAE><U0AC7>";/
-		"<U0A9C><U0AC1><U0AA8>";/
-		"<U0A9C><U0AC1><U0AB2>";/
-		"<U0A93><U0A97>";/
-		"<U0AB8><U0AAA><U0ACD><U0A9F>";/
-		"<U0A93><U0A95><U0ACD><U0A9F>";/
-		"<U0AA8><U0ACB><U0AB5>";/
-		"<U0AA1><U0ABF><U0AB8>"
+		"<U0A9C><U0AC2><U0AA8>";/
+		"<U0A9C><U0AC1><U0AB2><U0ABE><U0A88>";/
+		"<U0A91><U0A97><U0AB8><U0ACD><U0A9F>";/
+		"<U0AB8><U0AAA><U0ACD><U0A9F><U0AC7>";/
+		"<U0A91><U0A95><U0ACD><U0A9F><U0ACB>";/
+		"<U0AA8><U0AB5><U0AC7>";/
+		"<U0AA1><U0ABF><U0AB8><U0AC7>"
 
 %
 % Full month names (%B)
diff --git a/localedata/locales/hi_IN b/localedata/locales/hi_IN
index 88cf90e..05b8918 100644
--- a/localedata/locales/hi_IN
+++ b/localedata/locales/hi_IN
@@ -129,17 +129,17 @@ day         "<U0930><U0935><U093F><U0935><U093E><U0930>";/
             "<U0936><U0928><U093F><U0935><U093E><U0930>"
 %
 % Abbreviated month names (%b)
-abmon       "<U091C><U0928><U0935><U0930><U0940>";/
-            "<U092B><U093C><U0930><U0935><U0930><U0940>";/
+abmon       "<U091C><U0928><U0970>";/
+            "<U092B><U093C><U0930><U0970>";/
             "<U092E><U093E><U0930><U094D><U091A>";/
-            "<U0905><U092A><U094D><U0930><U0947><U0932>";/
+            "<U0905><U092A><U094D><U0930><U0948><U0932>";/
             "<U092E><U0908>";"<U091C><U0942><U0928>";/
-            "<U091C><U0941><U0932><U093E><U0908>";/
-            "<U0905><U0917><U0938><U094D><U0924>";/
-            "<U0938><U093F><U0924><U092E><U094D><U092C><U0930>";/
-            "<U0905><U0915><U094D><U091F><U0942><U092C><U0930>";/
-            "<U0928><U0935><U092E><U094D><U092C><U0930>";/
-            "<U0926><U093F><U0938><U092E><U094D><U092C><U0930>"
+            "<U091C><U0941><U0932><U0970>";/
+            "<U0905><U0917><U0970>";/
+            "<U0938><U093F><U0924><U0970>";/
+            "<U0905><U0915><U094D><U0924><U0942><U0970>";/
+            "<U0928><U0935><U0970>";/
+            "<U0926><U093F><U0938><U0970>"
 %
 % Full month names (%B)
 mon         "<U091C><U0928><U0935><U0930><U0940>";/
diff --git a/localedata/locales/kn_IN b/localedata/locales/kn_IN
index 8a62305..3f89da0 100644
--- a/localedata/locales/kn_IN
+++ b/localedata/locales/kn_IN
@@ -130,18 +130,18 @@ day      "<U0CB0><U0CB5><U0CBF><U0CB5><U0CBE><U0CB0>";/
 
 %
 % Abbreviated month names (%b)
-abmon       	"<U0C9C>";/
-	"<U0CAB><U0CC6>";/
-	"<U0CAE><U0CBE>";/
-	"<U0C8F>";/
+abmon       	"<U0C9C><U0CA8>";/
+	"<U0CAB><U0CC6><U0CAC><U0CCD><U0CB0>";/
+	"<U0CAE><U0CBE><U0CB0><U0CCD><U0C9A><U0CCD>";/
+	"<U0C8F><U0CAA><U0CCD><U0CB0><U0CBF>";/
 	"<U0CAE><U0CC7>";/
-	"<U0C9C><U0CC2>";/
-	"<U0C9C><U0CC1>";/
+	"<U0C9C><U0CC2><U0CA8><U0CCD>";/
+	"<U0C9C><U0CC1><U0CB2><U0CC8>";/
 	"<U0C86>";/
-	"<U0CB8><U0CC6>";/
-	"<U0C85>";/
-	"<U0CA8>";/
-	"<U0CA6>"
+	"<U0CB8><U0CC6><U0CAA><U0CCD><U0C9F><U0CC6><U0C82>";/
+	"<U0C85><U0C95><U0CCD><U0C9F><U0CCB>";/
+	"<U0CA8><U0CB5><U0CC6><U0C82>";/
+	"<U0CA1><U0CBF><U0CB8><U0CC6><U0C82>"
 
 %
 % Full month names (%B)
diff --git a/localedata/locales/kok_IN b/localedata/locales/kok_IN
index 095e97b..dbd486e 100644
--- a/localedata/locales/kok_IN
+++ b/localedata/locales/kok_IN
@@ -99,18 +99,18 @@ day       "<U0906><U092F><U0924><U093E><U0930>";"<U0938><U094B><U092E><U093E><U0
             "<U0936><U0941><U0915><U0930><U093e><U0930>";"<U0936><U0947><U0928><U0935><U093e><U0930>"
 %
 % Abbreviated month names (%b)
-abmon       "<U091C><U0947><U0928><U0935><U0930><U0940>";/
-            "<U092B><U0947><U092C><U094D><U0930><U0930><U0940>";/
-            "<U092E><U093E><U0930><U091A>";/
-            "<U090F><U092A><U094D><U0930><U0940><U0932>";/
-            "<U092E><U0947><U0902>";/
-            "<U091C><U0941><U0928>";/
+abmon       "<U091C><U093E><U0928><U0947><U0935><U093E><U0930><U0940>";/
+            "<U092B><U0947><U092C><U094D><U0930><U0941><U0935><U093E><U0930><U0940>";/
+            "<U092E><U093E><U0930><U094D><U091A>";/
+            "<U090F><U092A><U094D><U0930><U093F><U0932>";/
+            "<U092E><U0947>";/
+            "<U091C><U0942><U0928>";/
             "<U091C><U0941><U0932><U0948>";/
             "<U0913><U0917><U0938><U094D><U091F>";/
-            "<U0938><U0947><U092A><U091F><U0947><U0902><U092C><U0930>";/
-            "<U0913><U0915><U091F><U094B><U092C><U0930>";/
-            "<U0928><U094B><U0935><U0947><U0902><U092C><U0930>";/
-            "<U0926><U093F><U0938><U0947><U0902><U092c><U0930>"
+            "<U0938><U0947><U092A><U094D><U091F><U0947><U0902><U092C><U0930>";/
+            "<U0913><U0915><U094D><U091F><U094B><U092C><U0930>";/
+            "<U0928><U094B><U0935><U094D><U0939><U0947><U0902><U092C><U0930>";/
+            "<U0921><U093F><U0938><U0947><U0902><U092C><U0930>"
 %
 % Full month names (%B)
 mon       "<U091C><U093E><U0928><U0947><U0935><U093E><U0930><U0940>";/
diff --git a/localedata/locales/ml_IN b/localedata/locales/ml_IN
index af11c75..0117a2d 100644
--- a/localedata/locales/ml_IN
+++ b/localedata/locales/ml_IN
@@ -126,14 +126,14 @@ day     "<U0D1E><U0D3E><U0D2F><U0D30><U0D4D><U200D>";/
 %
 % Abbreviated month names (%b)
 abmon     "<U0D1C><U0D28><U0D41>";/
-"<U0D2B><U0D46><U0D2C><U0D4D>";/
-"<U0D2E><U0D3E><U0D30><U0D4D><U200D>";/
-"<U0D0F><U0D2A><U0D4D><U0D30>";/
-"<U0D2E><U0D46>";/
-"<U0D1C><U0D42><U0D23><U0D4D><U200D>";/
+"<U0D2B><U0D46><U0D2C><U0D4D><U0D30><U0D41>";/
+"<U0D2E><U0D3E><U0D7C>";/
+"<U0D0F><U0D2A><U0D4D><U0D30><U0D3F>";/
+"<U0D2E><U0D47><U0D2F><U0D4D>";/
+"<U0D1C><U0D42><U0D7A>";/
 "<U0D1C><U0D42><U0D32><U0D48>";/
-"<U0D06><U0D17><U0D4D>";/
-"<U0D38><U0D46><U0D2A><U0D4D>";/
+"<U0D13><U0D17>";/
+"<U0D38><U0D46><U0D2A><U0D4D><U0D31><U0D4D><U0D31><U0D02>";/
 "<U0D12><U0D15><U0D4D><U0D1F><U0D4B>";/
 "<U0D28><U0D35><U0D02>";/
 "<U0D21><U0D3F><U0D38><U0D02>"
diff --git a/localedata/locales/mr_IN b/localedata/locales/mr_IN
index d69a0d1..3137857 100644
--- a/localedata/locales/mr_IN
+++ b/localedata/locales/mr_IN
@@ -122,18 +122,18 @@ day         "<U0930><U0935><U093F><U0935><U093E><U0930>";/
             "<U0936><U0928><U093F><U0935><U093E><U0930>"
 %
 % Abbreviated month names (%b)
-abmon       "<U091C><U093E><U0928><U0947><U0935><U093E><U0930><U0940>";/
-            "<U092B><U0947><U092C><U0943><U0935><U093E><U0930><U0940>";/
+abmon       "<U091C><U093E><U0928><U0947>";/
+            "<U092B><U0947><U092C><U094D><U0930><U0941>";/
             "<U092E><U093E><U0930><U094D><U091A>";/
-            "<U090F><U092A><U094D><U0930><U093F><U0932>";/
+            "<U090F><U092A><U094D><U0930><U093F>";/
             "<U092E><U0947>";/
             "<U091C><U0942><U0928>";/
             "<U091C><U0941><U0932><U0948>";/
-            "<U0911><U0917><U0938><U094D><U091F>";/
-            "<U0938><U092A><U094D><U091F><U0947><U0902><U092C><U0930>";/
-            "<U0911><U0915><U094D><U091F><U094B><U092C><U0930>";/
-            "<U0928><U094B><U0935><U094D><U0939><U0947><U0902><U092C><U0930>";/
-            "<U0921><U093F><U0938><U0947><U0902><U092C><U0930>"
+            "<U0911><U0917>";/
+            "<U0938><U092A><U094D><U091F><U0947><U0902>";/
+            "<U0911><U0915><U094D><U091F><U094B>";/
+            "<U0928><U094B><U0935><U094D><U0939><U0947><U0902>";/
+            "<U0921><U093F><U0938><U0947><U0902>"
 %
 % Full month names (%B)
 mon         "<U091C><U093E><U0928><U0947><U0935><U093E><U0930><U0940>";/
diff --git a/localedata/locales/ne_NP b/localedata/locales/ne_NP
index 73ec7e8..e251713 100644
--- a/localedata/locales/ne_NP
+++ b/localedata/locales/ne_NP
@@ -101,17 +101,17 @@ day         "<U0906><U0907><U0924><U092C><U093E><U0930>";/
             "<U0936><U0941><U0915><U094D><U0930><U092C><U093E><U0930>";/
             "<U0936><U0928><U093F><U092C><U093E><U0930>"
 abmon       "<U091C><U0928>";/
-            "<U092B><U0947><U092C>";/
+            "<U092B><U0947><U092C><U094D><U0930><U0941><U0905><U0930><U0940>";/
             "<U092E><U093E><U0930><U094D><U091A>";/
-            "<U0905><U092A><U094D><U0930><U093F>";/
+            "<U0905><U092A><U094D><U0930><U093F><U0932>";/
             "<U092E><U0947>";/
-            "<U091C><U0942><U0928>";/
-            "<U091C><U0941><U0932><U093E>";/
-            "<U0905><U0917>";/
-            "<U0938><U0947><U092A><U094D><U091F>";/
-            "<U0905><U0915><U094D><U091F>";/
-            "<U0928><U094B><U092D><U0947>";/
-            "<U0921><U093F><U0938><U0947>"
+            "<U091C><U0941><U0928>";/
+            "<U091C><U0941><U0932><U093E><U0908>";/
+            "<U0905><U0917><U0938><U094D><U091F>";/
+            "<U0938><U0947><U092A><U094D><U091F><U0947><U092E><U094D><U092C><U0930>";/
+            "<U0905><U0915><U094D><U091F><U094B><U092C><U0930>";/
+            "<U0928><U094B><U092D><U0947><U092E><U094D><U092C><U0930>";/
+            "<U0921><U093F><U0938><U0947><U092E><U094D><U092C><U0930>"
 mon         "<U091C><U0928><U0935><U0930><U0940>";/
             "<U092B><U0947><U092C><U094D><U0930><U0941><U0905><U0930><U0940>";/
             "<U092E><U093E><U0930><U094D><U091A>";/
diff --git a/localedata/locales/or_IN b/localedata/locales/or_IN
index a1b5bad..6a7fe3c 100644
--- a/localedata/locales/or_IN
+++ b/localedata/locales/or_IN
@@ -653,18 +653,18 @@ day     "<U0B30><U0B2C><U0B3F><U0B2C><U0B3E><U0B30>";/
         "<U0B17><U0B41><U0B30><U0B41><U0B2C><U0B3E><U0B30>";/
         "<U0B36><U0B41><U0B15><U0B4D><U0B30><U0B2C><U0B3E><U0B30>";/
         "<U0B36><U0B28><U0B3F><U0B2C><U0B3E><U0B30>"
-abmon   "<U0031>";/
-        "<U0032>";/
-        "<U0033>";/
-        "<U0034>";/
-        "<U0035>";/
-        "<U0036>";/
-        "<U0037>";/
-        "<U0038>";/
-        "<U0039>";/
-        "<U0031><U0030>";/
-        "<U0031><U0031>";/
-        "<U0031><U0032>"
+abmon   "<U0B1C><U0B3E><U0B28><U0B41><U0B06><U0B30><U0B40>";/
+        "<U0B2B><U0B47><U0B2C><U0B43><U0B06><U0B30><U0B40>";/
+        "<U0B2E><U0B3E><U0B30><U0B4D><U0B1A><U0B4D><U0B1A>";/
+        "<U0B05><U0B2A><U0B4D><U0B30><U0B47><U0B32>";/
+        "<U0B2E><U0B07>";/
+        "<U0B1C><U0B41><U0B28>";/
+        "<U0B1C><U0B41><U0B32><U0B3E><U0B07>";/
+        "<U0B05><U0B17><U0B37><U0B4D><U0B1F>";/
+        "<U0B38><U0B47><U0B2A><U0B4D><U0B1F><U0B47><U0B2E><U0B4D><U0B2C><U0B30>";/
+        "<U0B05><U0B15><U0B4D><U0B1F><U0B4B><U0B2C><U0B30>";/
+        "<U0B28><U0B2D><U0B47><U0B2E><U0B4D><U0B2C><U0B30>";/
+        "<U0B21><U0B3F><U0B38><U0B47><U0B2E><U0B4D><U0B2C><U0B30>"
 mon     "<U0B1C><U0B3E><U0B28><U0B41><U0B06><U0B30><U0B40>";/
 	"<U0B2B><U0B47><U0B2C><U0B43><U0B06><U0B30><U0B40>";/
         "<U0B2E><U0B3E><U0B30><U0B4D><U0B1A><U0B4D><U0B1A>";/
diff --git a/localedata/locales/pa_IN b/localedata/locales/pa_IN
index 487133b..831c66b 100644
--- a/localedata/locales/pa_IN
+++ b/localedata/locales/pa_IN
@@ -122,18 +122,18 @@ day         "<U0A10><U0A24><U0A35><U0A3E><U0A30>";/
 
 
 % Abbreviated month names (%b)
-abmon       "<U0A1C><U0A28><U0A35><U0A30><U0A40>";/
-            "<U0A5E><U0A30><U0A35><U0A30><U0A40>";/
+abmon       "<U0A1C><U0A28>";/
+            "<U0A2B><U0A3C><U0A30>";/
             "<U0A2E><U0A3E><U0A30><U0A1A>";/
-            "<U0A05><U0A2A><U0A30><U0A48><U0A32>";/
+            "<U0A05><U0A2A><U0A4D><U0A30><U0A48>";/
             "<U0A2E><U0A08>";/
 	    "<U0A1C><U0A42><U0A28>";/
-            "<U0A1C><U0A41><U0A32><U0A3E><U0A08>";/
-            "<U0A05><U0A17><U0A38><U0A24>";/
-            "<U0A38><U0A24><U0A70><U0A2C><U0A30>";/
-            "<U0A05><U0A15><U0A24><U0A42><U0A2C><U0A30>";/
-            "<U0A28><U0A35><U0A70><U0A2C><U0A30>";/
-            "<U0A26><U0A38><U0A70><U0A2C><U0A30>"
+            "<U0A1C><U0A41><U0A32><U0A3E>";/
+            "<U0A05><U0A17>";/
+            "<U0A38><U0A24><U0A70>";/
+            "<U0A05><U0A15><U0A24><U0A42>";/
+            "<U0A28><U0A35><U0A70>";/
+            "<U0A26><U0A38><U0A70>"
 %
 % Full month names (%B)
 mon         "<U0A1C><U0A28><U0A35><U0A30><U0A40>";/
diff --git a/localedata/locales/ta_IN b/localedata/locales/ta_IN
index 425e042..3cda08a 100644
--- a/localedata/locales/ta_IN
+++ b/localedata/locales/ta_IN
@@ -128,12 +128,12 @@ day         "<U0B9E><U0BBE><U0BAF><U0BBF><U0BB1><U0BC1>";"<U0BA4><U0BBF><U0B99><
             "<U0B9A><U0BA9><U0BBF>"
 %
 % Abbreviated month names (%b)
-abmon       "<U0B9C><U0BA9>";"<U0BAA><U0BBF><U0BAA><U0BCD>";/
-            "<U0BAE><U0BBE><U0BB0><U0BCD>";"<U0B8F><U0BAA><U0BCD>";/
+abmon       "<U0B9C><U0BA9><U002E>";"<U0BAA><U0BBF><U0BAA><U0BCD><U002E>";/
+            "<U0BAE><U0BBE><U0BB0><U0BCD><U002E>";"<U0B8F><U0BAA><U0BCD><U002E>";/
             "<U0BAE><U0BC7>";"<U0B9C><U0BC2><U0BA9><U0BCD>";/
-            "<U0B9C><U0BC2><U0BB2><U0BC8>";"<U0B86><U0B95>";/
-            "<U0B9A><U0BC6><U0BAA><U0BCD>";"<U0B85><U0B95><U0BCD>";/
-            "<U0BA8><U0BB5>";"<U0B9F><U0BBF><U0B9A>"
+            "<U0B9C><U0BC2><U0BB2><U0BC8>";"<U0B86><U0B95><U002E>";/
+            "<U0B9A><U0BC6><U0BAA><U0BCD><U002E>";"<U0B85><U0B95><U0BCD><U002E>";/
+            "<U0BA8><U0BB5><U002E>";"<U0B9F><U0BBF><U0B9A><U002E>"
 %
 % Full month names (%B)
 mon         "<U0B9C><U0BA9><U0BB5><U0BB0><U0BBF>";"<U0BAA><U0BBF><U0BAA><U0BCD><U0BB0><U0BB5><U0BB0><U0BBF>";/
diff --git a/localedata/locales/te_IN b/localedata/locales/te_IN
index e8c6424..50335b0 100644
--- a/localedata/locales/te_IN
+++ b/localedata/locales/te_IN
@@ -130,12 +130,12 @@ day         "<U0C06><U0C26><U0C3F><U0C35><U0C3E><U0C30><U0C02>";"<U0C38><U0C4b><
 
 %
 % Abbreviated month names (%b)
-abmon       "<U0C1C><U0C28><U0C35><U0C30><U0C3F>";"<U0C2B><U0C3F><U0C2C><U0C4D><U0C30><U0C35><U0C30><U0C3F>";/
-            "<U0C2E><U0C3E><U0C30><U0C4D><U0C1A><U0C3F>";"<U0C0F><U0C2a><U0C4D><U0C30><U0C3F><U0C32><U0C4D>";/
+abmon       "<U0C1C><U0C28>";"<U0C2B><U0C3F><U0C2C><U0C4D><U0C30>";/
+            "<U0C2E><U0C3E><U0C30><U0C4D><U0C1A><U0C3F>";"<U0C0F><U0C2A><U0C4D><U0C30><U0C3F>";/
             "<U0C2E><U0C47>";"<U0C1C><U0C42><U0C28><U0C4D>";/
-            "<U0C1C><U0C42><U0C32><U0C48>";"<U0C06><U0C17><U0C38><U0C4D><U0C1F><U0C41>";/
-            "<U0C38><U0C46><U0C2A><U0C4D><U0C1F><U0C46><U0C02><U0C2C><U0C30><U0C41>";"<U0C05><U0C15><U0C4D><U0C1F><U0C4B><U0C2C><U0C30><U0C41>";/
-            "<U0C28><U0C35><U0C02><U0C2C><U0C30><U0C41>";"<U0C21><U0C3F><U0C38><U0C46><U0C02><U0C2C><U0C30><U0C41>"
+            "<U0C1C><U0C41><U0C32><U0C48>";"<U0C06><U0C17>";/
+            "<U0C38><U0C46><U0C2A><U0C4D><U0C1F><U0C46><U0C02>";"<U0C05><U0C15><U0C4D><U0C1F><U0C4B>";/
+            "<U0C28><U0C35><U0C02>";"<U0C21><U0C3F><U0C38><U0C46><U0C02>"
 
 % Full month names (%B)
 mon         "<U0C1C><U0C28><U0C35><U0C30><U0C3F>";"<U0C2B><U0C3F><U0C2C><U0C4D><U0C30><U0C35><U0C30><U0C3F>";/
-- 
2.7.5