diff --git a/localedata/locales/af_ZA b/localedata/locales/af_ZA
index 143ad75..7a55c78 100644
--- a/localedata/locales/af_ZA
+++ b/localedata/locales/af_ZA
@@ -39,8 +39,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Afrikaans"
 territory  "South Africa"
 revision   "1.2.1"
diff --git a/localedata/locales/en_ZA b/localedata/locales/en_ZA
index 1227278..93ffb00 100644
--- a/localedata/locales/en_ZA
+++ b/localedata/locales/en_ZA
@@ -50,8 +50,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "English"
 territory  "South Africa"
 % audience     ""
diff --git a/localedata/locales/fa_IR b/localedata/locales/fa_IR
index 73702d2..7b9a3c7 100644
--- a/localedata/locales/fa_IR
+++ b/localedata/locales/fa_IR
@@ -23,8 +23,8 @@ source     "Sharif FarsiWeb, Inc."
 address    "5, Shahid Ghasemi Habibollah, Azadi Ave, Tehran, Iran"
 contact    "Roozbeh Pournader"
 email      "roozbeh@farsiweb.info"
-tel        "+98 21 6022372"
-fax        "+98 21 6019568"
+tel        ""
+fax        ""
 language   "Persian"
 territory  "Iran"
 revision   "3.0"
diff --git a/localedata/locales/gd_GB b/localedata/locales/gd_GB
index 41943f5..9899505 100644
--- a/localedata/locales/gd_GB
+++ b/localedata/locales/gd_GB
@@ -22,7 +22,7 @@ source       "Akerbeltz"
 address      "1/2, 47 Wilton Street, Glasgow G20 6RT, UK"
 contact      "Michael Bauer"
 email        "fios@akerbeltz.org"
-tel          "+44 141 946 4437"
+tel          ""
 language     "Scots Gaelic"
 territory    "Great Britain"
 revision     "1.2"
diff --git a/localedata/locales/mhr_RU b/localedata/locales/mhr_RU
index 4b79dc0..902df0e 100644
--- a/localedata/locales/mhr_RU
+++ b/localedata/locales/mhr_RU
@@ -24,7 +24,7 @@ source     "PeshSajSoft Ltd."
 address    "112, Komsomolskaya Street, Yoshkar-Ola, Mari El Republic, Russia"
 contact    "Vyacheslav Kileev"
 email      "slavakileev@yandex.ru"
-tel        "+7 - 8362 351344"
+tel        ""
 language   "Meadow Mari"
 territory  "Russia"
 revision   "0.2"
diff --git a/localedata/locales/ne_NP b/localedata/locales/ne_NP
index 1a462c7..36a46eb 100644
--- a/localedata/locales/ne_NP
+++ b/localedata/locales/ne_NP
@@ -9,7 +9,7 @@ source     "Madan Puraskar Pustakalaya"
 address    "Rato Bangala, Patan Dhoka,Lalitpur,Nepal"
 contact    ""
 email      "info@mpp.org.np"
-tel        "977-1-5521393"
+tel        ""
 fax        ""
 language   "Nepali"
 territory  "Nepal"
diff --git a/localedata/locales/niu_NU b/localedata/locales/niu_NU
index 3a4f02e..ce20247 100644
--- a/localedata/locales/niu_NU
+++ b/localedata/locales/niu_NU
@@ -7,7 +7,7 @@ source       "RockET Systems"
 address      "PO Box 229, Fatalupe, Alofi, Niue"
 contact      "Emani Fakaotimanava-Lui"
 email        "emani@niue.nu"
-tel          "006834638"
+tel          ""
 fax          ""
 language     "Vagahau Niue (Niuean)"
 territory    "Niue"
diff --git a/localedata/locales/niu_NZ b/localedata/locales/niu_NZ
index eb746f2..5230444 100644
--- a/localedata/locales/niu_NZ
+++ b/localedata/locales/niu_NZ
@@ -7,7 +7,7 @@ source       "RockET Systems"
 address      "PO Box 229, Fatalupe, Alofi, Niue"
 contact      "Emani Fakaotimanava-Lui"
 email        "emani@niue.nu"
-tel          "006834638"
+tel          ""
 fax          ""
 language     "Vagahau Niue (Niuean)"
 territory    "New Zealand"
diff --git a/localedata/locales/nr_ZA b/localedata/locales/nr_ZA
index ae27bcc..a79990d 100644
--- a/localedata/locales/nr_ZA
+++ b/localedata/locales/nr_ZA
@@ -32,8 +32,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Southern Ndebele"
 territory  "South Africa"
 revision   "0.3"
diff --git a/localedata/locales/nso_ZA b/localedata/locales/nso_ZA
index fd13354..cbfba2e 100644
--- a/localedata/locales/nso_ZA
+++ b/localedata/locales/nso_ZA
@@ -28,8 +28,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Northern Sotho"
 territory  "South Africa"
 revision   "0.3"
diff --git a/localedata/locales/oc_FR b/localedata/locales/oc_FR
index 10e3a03..797e7ae 100644
--- a/localedata/locales/oc_FR
+++ b/localedata/locales/oc_FR
@@ -9,7 +9,7 @@ source "RAP"
 address "Los Genets, 12290 Pont de Salars"
 contact "Jean-Paul Fraysse"
 email "Jean-Paul.Fraysse@wanadoo.fr"
-tel "+33 -565743131 "
+tel ""
 fax ""
 language "Occitan"
 territory "France"
diff --git a/localedata/locales/ps_AF b/localedata/locales/ps_AF
index a58d2c7..1972cd2 100644
--- a/localedata/locales/ps_AF
+++ b/localedata/locales/ps_AF
@@ -22,7 +22,7 @@ source     "Nasir Gulzade"
 address    "see e-mail."
 contact    "Nasir Gulzade"
 email      "nasirgulzade@hotmail.com"
-tel        "+93 700530286"
+tel        ""
 fax        ""
 language   "Pashto"
 territory  "Afghanistan"
diff --git a/localedata/locales/rw_RW b/localedata/locales/rw_RW
index 1f50300..e289057 100644
--- a/localedata/locales/rw_RW
+++ b/localedata/locales/rw_RW
@@ -11,8 +11,8 @@ source     "Rwanda"
 address    "Rwanda, Africa"
 contact    "Steve Murphy"
 email      "murf@e-tools.com"
-tel        "1-307-754-5675"
-fax        "1-307-754-5675"
+tel        ""
+fax        ""
 language   "Kinyarwanda"
 territory  "Rwanda"
 revision   "1.0"
diff --git a/localedata/locales/ss_ZA b/localedata/locales/ss_ZA
index b296451..c4b7811 100644
--- a/localedata/locales/ss_ZA
+++ b/localedata/locales/ss_ZA
@@ -34,8 +34,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Swati"
 territory  "South Africa"
 revision   "0.3"
diff --git a/localedata/locales/st_ZA b/localedata/locales/st_ZA
index dcf3e72..a9fe62f 100644
--- a/localedata/locales/st_ZA
+++ b/localedata/locales/st_ZA
@@ -30,8 +30,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Sotho"
 territory  "South Africa"
 revision   "0.3"
diff --git a/localedata/locales/ta_LK b/localedata/locales/ta_LK
index e1af5f9..a7b09c7 100644
--- a/localedata/locales/ta_LK
+++ b/localedata/locales/ta_LK
@@ -19,7 +19,7 @@ address    "30/36Q -2/1,Charles Apartments, De Silva Cross Rd,/
 	    Kalubowila,Dehiwela,SriLanka."
 contact    "94-777-315206"
 email      "yogaraj.ubuntu@gmail.com"
-tel        "94-112-765773"
+tel        ""
 fax        ""
 language   "Tamil"
 territory  "Sri Lanka"
diff --git a/localedata/locales/the_NP b/localedata/locales/the_NP
index d889890..ed7d716 100644
--- a/localedata/locales/the_NP
+++ b/localedata/locales/the_NP
@@ -18,7 +18,7 @@ source     "Chitwanix OS Development"
 address    "Sangam Market, narayanghat, Nepal"
 contact    ""
 email      "info@chitwanix.com"
-tel        "9779845330174"
+tel        ""
 fax        ""
 language   "Chitwania Tharu"
 territory  "Nepal"
diff --git a/localedata/locales/tn_ZA b/localedata/locales/tn_ZA
index f2a85ed..6483d4d 100644
--- a/localedata/locales/tn_ZA
+++ b/localedata/locales/tn_ZA
@@ -35,8 +35,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Tswana"
 territory  "South Africa"
 revision   "0.4"
diff --git a/localedata/locales/ts_ZA b/localedata/locales/ts_ZA
index b8225fc..fd7feb5 100644
--- a/localedata/locales/ts_ZA
+++ b/localedata/locales/ts_ZA
@@ -30,8 +30,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Tsonga"
 territory  "South Africa"
 revision   "0.3"
diff --git a/localedata/locales/ve_ZA b/localedata/locales/ve_ZA
index 9694401..8e23718 100644
--- a/localedata/locales/ve_ZA
+++ b/localedata/locales/ve_ZA
@@ -33,8 +33,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Venda"
 territory  "South Africa"
 revision   "0.3"
diff --git a/localedata/locales/xh_ZA b/localedata/locales/xh_ZA
index 2a24540..81216dc 100644
--- a/localedata/locales/xh_ZA
+++ b/localedata/locales/xh_ZA
@@ -32,8 +32,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "PO Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Xhosa"
 territory  "South Africa"
 revision   "0.3"
diff --git a/localedata/locales/zu_ZA b/localedata/locales/zu_ZA
index 2c78e51..b2222be 100644
--- a/localedata/locales/zu_ZA
+++ b/localedata/locales/zu_ZA
@@ -35,8 +35,8 @@ source     "Zuza Software Foundation (Translate.org.za)"
 address    "Box 28364, Sunnyside, 0132, South Africa"
 contact    "Dwayne Bailey"
 email      "dwayne@translate.org.za"
-tel        "+27 12 460 1095"
-fax        "+27 12 460 1095"
+tel        ""
+fax        ""
 language   "Zulu"
 territory  "South Africa"
 revision   "0.3"