From af262f4dfff0e6e53d72727bdeba47a5d1e16c89 Mon Sep 17 00:00:00 2001
From: Timur Birsh <taem@linukz.org>
Date: Tue, 22 Mar 2016 18:38:13 +0600
Subject: [PATCH] Update kk_KZ locale

---
 localedata/locales/kk_KZ | 99 ++++++++++++++++++++++++++++++++++--------------
 1 file changed, 70 insertions(+), 29 deletions(-)

diff --git a/localedata/locales/kk_KZ b/localedata/locales/kk_KZ
index 9b1b2c5..f46bbd4 100644
--- a/localedata/locales/kk_KZ
+++ b/localedata/locales/kk_KZ
@@ -9,32 +9,33 @@ escape_char /
 % otherwise be governed by that license.
 
 % Kazakh Language Locale for Kazakhstan
-% Source: NIPI, Kazakhstan Copper Corporation
-% Address: 6, Gagarin, 477000, Zhezkazgan, Kazakhstan
+% Source: linukz.org
+% Address:
 % Contact: Timur Birsh
-% Email: birsh@mail.kz
-% Tel: +7 (310-2) 74-80-12
+% Email: taem@linukz.org
+% Tel:
 % Fax:
 % Language: kk
 % Territory: KZ
-% Revision: 1.0
-% Date: 2003-06-06
+% Revision: 1.1
+% Date: 2016-03-22
 % Application: general
 % Users: general
-% Charset: PT154
+% Charset: UTF-8
+% License: Public Domain
 
 LC_IDENTIFICATION
 title      "Kazakh locale for Kazakhstan"
-source     "NIPI, Kazakhstan Copper Corporation"
+source     "linukz.org"
 address    ""
-contact    ""
-email      "bug-glibc-locales@gnu.org"
+contact    "Timur Birsh"
+email      "libc-alpha@sourceware.org"
 tel        ""
 fax        ""
 language   "Kazakh"
 territory  "Kazakhstan"
-revision   "1.0"
-date       "2003-06-06"
+revision   "1.1"
+date       "2016-03-22"
 %
 category  "kk_KZ:2000";LC_IDENTIFICATION
 category  "kk_KZ:2000";LC_CTYPE
@@ -120,16 +121,16 @@ reorder-after <U041E>
 <U04E8> <CYR-BARRED-O>;<BAS>;<CAP>;IGNORE
 
 reorder-after <CYR-OU>
-<CYR-STRAIGHT-U>
 <CYR-STRAIGHT-U-WITH-STROKE>
+<CYR-STRAIGHT-U>
 
 reorder-after <U0443>
-<U04AF> <CYR-STRAIGHT-U>;<BAS>;<MIN>;IGNORE
 <U04B1> <CYR-STRAIGHT-U-WITH-STROKE>;<BAS>;<MIN>;IGNORE
+<U04AF> <CYR-STRAIGHT-U>;<BAS>;<MIN>;IGNORE
 
 reorder-after <U0423>
-<U04AE> <CYR-STRAIGHT-U>;<BAS>;<CAP>;IGNORE
 <U04B0> <CYR-STRAIGHT-U-WITH-STROKE>;<BAS>;<CAP>;IGNORE
+<U04AE> <CYR-STRAIGHT-U>;<BAS>;<CAP>;IGNORE
 
 reorder-after <CYR-HA>
 <CYR-SHHA>
@@ -140,13 +141,13 @@ reorder-after <U0445>
 reorder-after <U0425>
 <U04BA> <CYR-SHHA>;<BAS>;<CAP>;IGNORE
 
-reorder-after <CYR-I>
+reorder-after <CYR-YEROU>
 <CYR-BEL-UKR-I>
 
-reorder-after <U0438>
+reorder-after <U044B>
 <U0456> <CYR-BEL-UKR-I>;<BAS>;<MIN>;IGNORE
 
-reorder-after <U0418>
+reorder-after <U042B>
 <U0406> <CYR-BEL-UKR-I>;<BAS>;<CAP>;IGNORE
 
 reorder-end
@@ -161,35 +162,52 @@ translit_end
 END LC_CTYPE
 
 LC_MESSAGES
+% ИиYy
 yesexpr "<U005E><U005B><U0418><U0438><U0059><U0079><U005D><U002E><U002A>"
+% ЖжNn
 noexpr  "<U005E><U005B><U0416><U0436><U004E><U006E><U005D><U002E><U002A>"
 END LC_MESSAGES
 
 LC_MONETARY
+% KZT
 int_curr_symbol           "<U004B><U005A><U0054><U0020>"
+% тг
 currency_symbol           "<U0442><U0433>"
-mon_decimal_point         "<U002E>"
-mon_thousands_sep         "<U0020>"
+% ,
+mon_decimal_point         "<U002C>"
+% (space)
+mon_thousands_sep         "<U00A0>"
 mon_grouping              3;3
+% +
 positive_sign             ""
+% -
 negative_sign             "<U002D>"
 int_frac_digits           2
 frac_digits               2
 p_cs_precedes             0
-p_sep_by_space            1
+p_sep_by_space            2
 n_cs_precedes             0
 n_sep_by_space            1
 p_sign_posn               1
 n_sign_posn               1
+int_p_cs_precedes         1
+int_p_sep_by_space        2
+int_n_cs_precedes         1
+int_n_sep_by_space        1
+int_p_sign_posn           4
+int_n_sign_posn           4
 END LC_MONETARY
 
 LC_NUMERIC
+% ,
 decimal_point             "<U002C>"
-thousands_sep             "<U002E>"
+% (space)
+thousands_sep             "<U00A0>"
 grouping                  3;3
 END LC_NUMERIC
 
 LC_TIME
+% Жексенбі; Дүйсенбі; Сейсенбі; Сәрсенбі; Бейсенбі; Жұма; Сенбі
 day     "<U0416><U0435><U043A><U0441><U0435><U043D><U0431><U0456>";/
         "<U0414><U04AF><U0439><U0441><U0435><U043D><U0431><U0456>";/
         "<U0421><U0435><U0439><U0441><U0435><U043D><U0431><U0456>";/
@@ -197,13 +215,16 @@ day     "<U0416><U0435><U043A><U0441><U0435><U043D><U0431><U0456>";/
         "<U0411><U0435><U0439><U0441><U0435><U043D><U0431><U0456>";/
         "<U0416><U04B1><U043C><U0430>";/
         "<U0421><U0435><U043D><U0431><U0456>"
+% Жк; Дс; Сс; Ср; Бс; Жм; Сб
 abday   "<U0416><U043A>";/
         "<U0414><U0441>";/
         "<U0421><U0441>";/
         "<U0421><U0440>";/
         "<U0411><U0441>";/
         "<U0416><U043C>";/
-        "<U0421><U043D>"
+        "<U0421><U0431>"
+% Қаңтар; Ақпан; Наурыз; Сәуір; Мамыр; Маусым;
+% Шілде; Тамыз; Қыркүйек; Қазан; Қараша; Желтоқсан
 mon     "<U049A><U0430><U04A3><U0442><U0430><U0440>";/
         "<U0410><U049B><U043F><U0430><U043D>";/
         "<U041D><U0430><U0443><U0440><U044B><U0437>";/
@@ -216,6 +237,7 @@ mon     "<U049A><U0430><U04A3><U0442><U0430><U0440>";/
         "<U049A><U0430><U0437><U0430><U043D>";/
         "<U049A><U0430><U0440><U0430><U0448><U0430>";/
         "<U0416><U0435><U043B><U0442><U043E><U049B><U0441><U0430><U043D>"
+% Қаң; Ақп; Нау; Сәу; Мам; Мау; Шіл; Там; Қыр; Қаз; Қар; Жел
 abmon   "<U049A><U0430><U04A3>";/
         "<U0410><U049B><U043F>";/
         "<U041D><U0430><U0443>";/
@@ -237,6 +259,9 @@ t_fmt_ampm ""
 date_fmt       "<U0025><U0061><U0020><U0025><U0062><U0020><U0025><U0065>/
 <U0020><U0025><U0048><U003A><U0025><U004D><U003A><U0025><U0053><U0020>/
 <U0025><U005A><U0020><U0025><U0059>"
+week 7;19971130;1
+first_weekday 2
+first_workday 2
 END LC_TIME
 
 LC_PAPER
@@ -245,9 +270,11 @@ width    210
 END LC_PAPER
 
 LC_TELEPHONE
-tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
+tel_int_fmt "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
-int_prefix     "<U0037>"
+tel_dom_fmt "<U0028><U0025><U0041><U0029><U0020><U0025><U006C>"
+int_prefix "<U0037>"
+int_select "<U0038><U007E><U0031><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
@@ -266,12 +293,26 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 <U0020><U0025><U0068><U0020><U0025><U0065><U0020><U0025><U0072><U0025>/
 <U004E><U0025><U007A><U0020><U0025><U0054><U0025>/
 <U004E><U0025><U0063><U0025><U004E>"
+% Қазақстан
+country_name "<U049A><U0430><U0437><U0430><U049B><U0441><U0442><U0430>/
+<U043D>"
+% KAZ
+country_post "<U004B><U0041><U005A>"
 % KZ
-country_car    "<U004B><U005A>"
+country_ab2 "<U004B><U005A>"
+% KAZ
+country_ab3 "<U004B><U0041><U005A>"
+country_num 398
+% Қазақша
+lang_name "<U049A><U0430><U0437><U0430><U049B><U0448><U0430>"
 % kk
-lang_ab      "<U006B><U006B>"
+lang_ab "<U006B><U006B>"
 % kaz
-lang_term    "<U006B><U0061><U007A>"
+lang_term "<U006B><U0061><U007A>"
+% 978-601
+country_isbn "<U0039><U0037><U0038><U002D><U0036><U0030><U0031>"
 % kaz
-lang_lib    "<U006B><U0061><U007A>"
+lang_lib "<U006B><U0061><U007A>"
+% KAZ
+country_car "<U004B><U0041><U005A>"
 END LC_ADDRESS
-- 
2.8.0.rc3