diff --git a/localedata/locales/as_IN b/localedata/locales/as_IN
index 5da577a..2869077 100644
--- a/localedata/locales/as_IN
+++ b/localedata/locales/as_IN
@@ -167,6 +167,7 @@ postal_fmt  "<U0025><U007A><U0025><U0063><U0025><U0054><U0025><U0073>/
 <U0025><U0062><U0025><U0065><U0025><U0072>"
 % IND
 country_car  "<U0049><U004E><U0044>"
+country_num 356
 % à¦…à¦¸à¦®à§€à¦¯à¦¼à¦¾
 lang_name    "<U0985><U09B8><U09AE><U09C0><U09AF><U09BC><U09BE>"
 % as
diff --git a/localedata/locales/ber_DZ b/localedata/locales/ber_DZ
index b1d4d95..5d3c27a 100644
--- a/localedata/locales/ber_DZ
+++ b/localedata/locales/ber_DZ
@@ -293,7 +293,7 @@ postal_fmt  "<U0025><U007A><U0025><U0063><U0025><U0054><U0025><U0073>/
 %country_post ""
 country_ab2 "<U0044><U005A>"
 country_ab3 "<U0044><U005A><U0041>"
-country_num 12
+country_num 012
 %country_isbn ""
 % DZ
 country_car  "<U0044><U005A>"
diff --git a/localedata/locales/ca_AD b/localedata/locales/ca_AD
index 0aca6f0..54f1dc3 100644
--- a/localedata/locales/ca_AD
+++ b/localedata/locales/ca_AD
@@ -96,7 +96,7 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 <U004E><U0025><U0063><U0025><U004E>"
 country_ab2 "<U0041><U0044>"
 country_ab3 "<U0041><U004E><U0044>"
-country_num 20
+country_num 020
 % AND
 country_car  "<U0041><U004E><U0044>"
 % catalÃ 
diff --git a/localedata/locales/dv_MV b/localedata/locales/dv_MV
index 14c0861..9b5e5d3 100644
--- a/localedata/locales/dv_MV
+++ b/localedata/locales/dv_MV
@@ -183,6 +183,7 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 <U0020><U0025><U0068><U0020><U0025><U0065><U0020><U0025><U0072><U0025>/
 <U004E><U0025><U0025><U007A><U0020><U0025><U0054><U0025>/
 <U004E><U0025><U0063><U0025><U004E>"
+country_num 462
 % lang_name FIXME
 % Cannot represent Dhivehi in Thaana script
 % http://en.wikipedia.org/wiki/Maldivian_language
diff --git a/localedata/locales/dz_BT b/localedata/locales/dz_BT
index bdf7ddc..9f6993a 100644
--- a/localedata/locales/dz_BT
+++ b/localedata/locales/dz_BT
@@ -665,7 +665,7 @@ country_name "<U0F60><U0F56><U0FB2><U0F74><U0F42><U0F0D>"
 %country_post  ""
 country_ab2   "<U0042><U0054>"
 country_ab3   "<U0042><U0048><U0055>"
-%country_num   "<U0042><U0048><U0055>"
+country_num 064
 %FIXME
 %country_isbn  ""
 % à½¢à¾«à½¼à½„à¼‹à½
diff --git a/localedata/locales/en_AG b/localedata/locales/en_AG
index 750d2ca..cd27f96 100644
--- a/localedata/locales/en_AG
+++ b/localedata/locales/en_AG
@@ -92,7 +92,7 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 <U004E><U0025><U0063><U0025><U004E>"
 country_ab2   "<U0041><U0047>"
 country_ab3   "<U0041><U0054><U0047>"
-country_num   28
+country_num 028
 % English
 lang_name     "<U0045><U006E><U0067><U006C><U0069><U0073><U0068>"
 % en
diff --git a/localedata/locales/en_PH b/localedata/locales/en_PH
index 46082c7..88ca4e1 100644
--- a/localedata/locales/en_PH
+++ b/localedata/locales/en_PH
@@ -199,7 +199,7 @@ LC_ADDRESS
 postal_fmt  "<U0025><U007A><U0025><U0063><U0025><U0054><U0025><U0073><U0025><U0062><U0025><U0065><U0025><U0072>"
 country_ab2   "<U0049><U0044>"
 country_ab3   "<U0049><U0044><U004E>"
-country_num   360
+country_num 608
 % RP
 country_car    "<U0052><U0050>"
 % English
diff --git a/localedata/locales/hy_AM b/localedata/locales/hy_AM
index 33f724f..80b365e 100644
--- a/localedata/locales/hy_AM
+++ b/localedata/locales/hy_AM
@@ -189,7 +189,7 @@ country_name "<U0540><U0561><U0575><U0561><U057D><U057F><U0561><U0576>"
 % FIXME country_post for Armenia?
 country_ab2 "<U0041><U004D>"
 country_ab3 "<U0041><U0052><U004D>"
-country_num 51
+country_num 051
 country_car "<U0041><U004D>"
 country_isbn "<U0039><U0039><U0039><U0033><U0030>"
 lang_name "<U0540><U0561><U0575><U0565><U0580><U0565><U0576>"
diff --git a/localedata/locales/kk_KZ b/localedata/locales/kk_KZ
index 9b1b2c5..a0bdbd8 100644
--- a/localedata/locales/kk_KZ
+++ b/localedata/locales/kk_KZ
@@ -266,6 +266,7 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 <U0020><U0025><U0068><U0020><U0025><U0065><U0020><U0025><U0072><U0025>/
 <U004E><U0025><U007A><U0020><U0025><U0054><U0025>/
 <U004E><U0025><U0063><U0025><U004E>"
+country_num 398
 % KZ
 country_car    "<U004B><U005A>"
 % kk
diff --git a/localedata/locales/km_KH b/localedata/locales/km_KH
index a9e4532..07fb62b 100644
--- a/localedata/locales/km_KH
+++ b/localedata/locales/km_KH
@@ -1873,7 +1873,7 @@ country_name "<U1780><U1798><U17D2><U1796><U17BB><U1787><U17B6>"
 %country_post  ""
 country_ab2   "<U004C><U0041>"
 country_ab3   "<U004C><U0041><U004F>"
-country_num   418
+country_num 116
 country_car   "<U004C><U0041><U004F>"
 %FIXME
 %country_isbn  ""
diff --git a/localedata/locales/ky_KG b/localedata/locales/ky_KG
index b097458..331a92c 100644
--- a/localedata/locales/ky_KG
+++ b/localedata/locales/ky_KG
@@ -212,7 +212,7 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 <U004E><U0025><U0063><U0025><U004E>"
 country_ab2 "<U004B><U0059>"
 country_ab3 "<U004B><U0059><U0052>"
-%country_num 643
+country_num 417
 % KS
 country_car    "<U004B><U0053>"
 % ÐšÑ‹Ñ€Ð³Ñ‹Ð·Ñ‡Ð°
diff --git a/localedata/locales/li_BE b/localedata/locales/li_BE
index eeb07e0..941bf64 100644
--- a/localedata/locales/li_BE
+++ b/localedata/locales/li_BE
@@ -52,7 +52,7 @@ country_post  "<U0042>"
 country_ab2   "<U0042><U0045>"
 country_ab3   "<U0042><U0045><U004C>"
 country_car   "<U0042>"
-country_num 56
+country_num 056
 %FIXME country_isbn "2"
 % LÃ¨mbÃ¶rgs
 lang_name    "<U004C><U00E8><U006D><U0062><U00F6><U0072><U0067><U0073>"
diff --git a/localedata/locales/my_MM b/localedata/locales/my_MM
index 582f53f..aea9b0b 100644
--- a/localedata/locales/my_MM
+++ b/localedata/locales/my_MM
@@ -318,6 +318,7 @@ postal_fmt   "<U0025><U0061><U0025><U004E><U0025><U0064><U0025><U004E><U0025><U0
 country_name   "<U1019><U103C><U1014><U103A><U1019><U102C>"
 country_post    "<U004D><U0079><U0061><U006E><U006D><U0061><U0072>"
 country_ab2     "<U004D><U004D>"
+country_num 104
 % BA
 country_car  "<U0042><U0041>"
 lang_ab         "<U006D><U0079>"
diff --git a/localedata/locales/rw_RW b/localedata/locales/rw_RW
index daba4ea..0d53c73 100644
--- a/localedata/locales/rw_RW
+++ b/localedata/locales/rw_RW
@@ -143,6 +143,7 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 country_name   "<U0052><U0077><U0061><U006E><U0064><U0061>"
 country_ab2    "<U0052><U0057>"
 country_ab3    "<U0052><U0057><U0041>"
+country_num 646
 % RWA
 country_car  "<U0052><U0057><U0041>"
 lang_name      "<U004B><U0069><U006E><U0079><U0061><U0072><U0077><U0061><U006E><U0064><U0061>"
diff --git a/localedata/locales/tr_CY b/localedata/locales/tr_CY
index d7f3ef3..773d5d9 100644
--- a/localedata/locales/tr_CY
+++ b/localedata/locales/tr_CY
@@ -104,7 +104,7 @@ country_post	"<U0054><U0052>"
 % TR
 country_car	"<U0054><U0052>"
 country_isbn	975
-country_num	792
+country_num 196
 % TR
 country_ab2	"<U0054><U0052>"
 % TUR
diff --git a/localedata/locales/tt_RU b/localedata/locales/tt_RU
index f265e67..199e25b 100644
--- a/localedata/locales/tt_RU
+++ b/localedata/locales/tt_RU
@@ -321,6 +321,7 @@ END LC_NAME
 LC_ADDRESS
 % FIXME
 postal_fmt "???"
+country_num 643
 % RUS
 country_car    "<U0052><U0055><U0053>"
 % tt
diff --git a/localedata/locales/wa_BE b/localedata/locales/wa_BE
index 913be21..2d6b7fe 100644
--- a/localedata/locales/wa_BE
+++ b/localedata/locales/wa_BE
@@ -48,7 +48,7 @@ country_name "<U0042><U0065><U006C><U006A><U0069><U006B><U0065>"
 country_post "B"
 country_ab2 "BE"
 country_ab3 "BEL"
-country_num 56
+country_num 056
 country_isbn "2"
 % B
 country_car  "<U0042>"
diff --git a/localedata/locales/wo_SN b/localedata/locales/wo_SN
index 7152902..fd1b3d2 100644
--- a/localedata/locales/wo_SN
+++ b/localedata/locales/wo_SN
@@ -181,7 +181,7 @@ postal_fmt    "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
 <U004E><U0025><U0063><U0025><U004E>"
 country_ab2 "<U004D><U0047>"
 country_ab3 "<U004D><U0044><U0047>"
-country_num 450
+country_num 686
 % SN
 country_car    "<U0053><U004E>"
 % wo