diff --git a/localedata/unicode-gen/gen_translit_circle.py b/localedata/unicode-gen/gen_translit_circle.py
index 03d5818..eb59e71 100644
--- a/localedata/unicode-gen/gen_translit_circle.py
+++ b/localedata/unicode-gen/gen_translit_circle.py
@@ -62,6 +62,7 @@ def output_head(translit_file, unicode_version, head=''):
     else:
         translit_file.write('escape_char /\n')
         translit_file.write('comment_char %\n')
+        translit_file.write(unicode_utils.COMMENT_HEADER)
         translit_file.write('\n')
         translit_file.write('% Transliterations of encircled characters.\n')
         translit_file.write('% Generated automatically from UnicodeData.txt '
diff --git a/localedata/unicode-gen/gen_translit_cjk_compat.py b/localedata/unicode-gen/gen_translit_cjk_compat.py
index eecc9cc..bea6f8b 100644
--- a/localedata/unicode-gen/gen_translit_cjk_compat.py
+++ b/localedata/unicode-gen/gen_translit_cjk_compat.py
@@ -63,6 +63,7 @@ def output_head(translit_file, unicode_version, head=''):
     else:
         translit_file.write('escape_char /\n')
         translit_file.write('comment_char %\n')
+        translit_file.write(unicode_utils.COMMENT_HEADER)
         translit_file.write('\n')
         translit_file.write('% Transliterations of CJK compatibility ')
         translit_file.write('characters.\n')
diff --git a/localedata/unicode-gen/gen_translit_combining.py b/localedata/unicode-gen/gen_translit_combining.py
index a60d11b..48742b5 100644
--- a/localedata/unicode-gen/gen_translit_combining.py
+++ b/localedata/unicode-gen/gen_translit_combining.py
@@ -62,6 +62,7 @@ def output_head(translit_file, unicode_version, head=''):
     else:
         translit_file.write('escape_char /\n')
         translit_file.write('comment_char %\n')
+        translit_file.write(unicode_utils.COMMENT_HEADER)
         translit_file.write('\n')
         translit_file.write('% Transliterations that remove all ')
         translit_file.write('combining characters (accents,\n')
diff --git a/localedata/unicode-gen/gen_translit_compat.py b/localedata/unicode-gen/gen_translit_compat.py
index 759e4ed..62d5e07 100644
--- a/localedata/unicode-gen/gen_translit_compat.py
+++ b/localedata/unicode-gen/gen_translit_compat.py
@@ -62,6 +62,7 @@ def output_head(translit_file, unicode_version, head=''):
     else:
         translit_file.write('escape_char /\n')
         translit_file.write('comment_char %\n')
+        translit_file.write(unicode_utils.COMMENT_HEADER)
         translit_file.write('\n')
         translit_file.write('% Transliterations of compatibility characters ')
         translit_file.write('and ligatures.\n')
diff --git a/localedata/unicode-gen/gen_translit_font.py b/localedata/unicode-gen/gen_translit_font.py
index c6c5545..927f16d 100644
--- a/localedata/unicode-gen/gen_translit_font.py
+++ b/localedata/unicode-gen/gen_translit_font.py
@@ -62,6 +62,7 @@ def output_head(translit_file, unicode_version, head=''):
     else:
         translit_file.write('escape_char /\n')
         translit_file.write('comment_char %\n')
+        translit_file.write(unicode_utils.COMMENT_HEADER)
         translit_file.write('\n')
         translit_file.write('% Transliterations of font equivalents.\n')
         translit_file.write('% Generated automatically from UnicodeData.txt '
diff --git a/localedata/unicode-gen/gen_translit_fraction.py b/localedata/unicode-gen/gen_translit_fraction.py
index b14c23a..29fe066 100644
--- a/localedata/unicode-gen/gen_translit_fraction.py
+++ b/localedata/unicode-gen/gen_translit_fraction.py
@@ -62,6 +62,7 @@ def output_head(translit_file, unicode_version, head=''):
     else:
         translit_file.write('escape_char /\n')
         translit_file.write('comment_char %\n')
+        translit_file.write(unicode_utils.COMMENT_HEADER)
         translit_file.write('\n')
         translit_file.write('% Transliterations of fractions.\n')
         translit_file.write('% Generated automatically from UnicodeData.txt '
diff --git a/localedata/unicode-gen/unicode_utils.py b/localedata/unicode-gen/unicode_utils.py
index 8cc5f2b..18be659 100644
--- a/localedata/unicode-gen/unicode_utils.py
+++ b/localedata/unicode-gen/unicode_utils.py
@@ -25,6 +25,17 @@ Unicode data for glibc from upstream Unicode data files.
 import sys
 import re
 
+
+# Common locale header.
+COMMENT_HEADER = """
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
+"""
+
 # Dictionary holding the entire contents of the UnicodeData.txt file
 #
 # Contents of this dictionary look like this: