diff --git a/localedata/locales/ne_NP b/localedata/locales/ne_NP
index 049cbd2..082d503 100644
--- a/localedata/locales/ne_NP
+++ b/localedata/locales/ne_NP
@@ -86,77 +86,54 @@ END LC_NUMERIC
 
 
 LC_TIME
-% This is the POSIX Locale definition for the LC_TIME category.
-% These are generated based on XML base Locale definition file
-% for IBM Class for Unicode/Java
-%
-% Abbreviated weekday names (%a)
 abday       "<U0906><U0907><U0924><U0020>";/
             "<U0938><U094B><U092E><U0020>";/
-            "<U092E><U0902><U0917><U0932><U0020>";/
+            "<U092E><U0919><U094D><U0917><U0932><U0020>";/
             "<U092C><U0941><U0927><U0020>";/
-            "<U092C><U093F><U0939><U093F><U0020>";/
+            "<U092C><U093F><U0939><U0940><U0020>";/
             "<U0936><U0941><U0915><U094D><U0930><U0020>";/
             "<U0936><U0928><U093F><U0020>"
-%
-% Full weekday names (%A)
 day         "<U0906><U0907><U0924><U092C><U093E><U0930><U0020>";/
             "<U0938><U094B><U092E><U092C><U093E><U0930><U0020>";/
-            "<U092E><U0902><U0917><U0932><U092C><U093E><U0930><U0020>";/
+            "<U092E><U0919><U094D><U0917><U0932><U092C><U093E><U0930><U0020>";/
             "<U092C><U0941><U0927><U092C><U093E><U0930><U0020>";/
-            "<U092C><U093F><U0939><U093F><U092C><U093E><U0930><U0020>";/
+            "<U092C><U093F><U0939><U0940><U092C><U093E><U0930><U0020>";/
             "<U0936><U0941><U0915><U094D><U0930><U092C><U093E><U0930><U0020>";/
             "<U0936><U0928><U093F><U092C><U093E><U0930><U0020>"
-%
-% Abbreviated month names (%b)
-abmon       "<U091C><U0928><U0935><U0930><U0940>";/
-            "<U092B><U093C><U0930><U0935><U0930><U0940>";/
+abmon       "<U091C><U0928>";/
+            "<U092B><U0947><U092C>";/
             "<U092E><U093E><U0930><U094D><U091A>";/
-            "<U0905><U092A><U094D><U0930><U0947><U0932>";/
-            "<U092E><U0908>";"<U091C><U0942><U0928>";/
-            "<U091C><U0941><U0932><U093E><U0908>";/
-            "<U0905><U0917><U0938><U094D><U0924>";/
-            "<U0938><U093F><U0924><U092E><U094D><U092C><U0930>";/
-            "<U0905><U0915><U094D><U091F><U0942><U092C><U0930>";/
-            "<U0928><U0935><U092E><U094D><U092C><U0930>";/
-            "<U0926><U093F><U0938><U092E><U094D><U092C><U0930>"
-%
-% Full month names (%B)
+            "<U0905><U092A><U094D><U0930><U093F>";/
+            "<U092E><U0947>";/
+            "<U091C><U0942><U0928>";/
+            "<U091C><U0941><U0932><U093E>";/
+            "<U0905><U0917>";/
+            "<U0938><U0947><U092A><U094D><U091F>";/
+            "<U0905><U0915><U094D><U091F>";/
+            "<U0928><U094B><U092D><U0947>";/
+            "<U0921><U093F><U0938><U0947>"
 mon         "<U091C><U0928><U0935><U0930><U0940>";/
-            "<U092B><U093C><U0930><U0935><U0930><U0940>";/
+            "<U092B><U0947><U092C><U094D><U0930><U0941><U0905><U0930><U0940>";/
             "<U092E><U093E><U0930><U094D><U091A>";/
-            "<U0905><U092A><U094D><U0930><U0947><U0932>";/
-            "<U092E><U0908>";"<U091C><U0942><U0928>";/
+            "<U0905><U092A><U094D><U0930><U093F><U0932>";/
+            "<U092E><U0947>";/
+            "<U091C><U0942><U0928>";/
             "<U091C><U0941><U0932><U093E><U0908>";/
             "<U0905><U0917><U0938><U094D><U0924>";/
-            "<U0938><U093F><U0924><U092E><U094D><U092C><U0930>";/
-            "<U0905><U0915><U094D><U091F><U0942><U092C><U0930>";/
-            "<U0928><U0935><U092E><U094D><U092C><U0930>";/
-            "<U0926><U093F><U0938><U092E><U094D><U092C><U0930>"
-%
-% Equivalent of AM PM
+            "<U0938><U0947><U092A><U094D><U091F><U0947><U092E><U094D><U092C><U0930>";/
+            "<U0905><U0915><U094D><U091F><U094B><U092C><U0930>";/
+            "<U0928><U094B><U092D><U0947><U092E><U094D><U092C><U0930>";/
+            "<U0921><U093F><U0938><U0947><U092E><U094D><U092C><U0930>"
 am_pm       "<U092A><U0942><U0930><U094D><U0935><U093E><U0939><U094D><U0928>";/
             "<U0905><U092A><U0930><U093E><U0939><U094D><U0928>"
-%
-% Appropriate date and time representation
-% %A %d %b %Y%I:%M:%S  %Z
-d_t_fmt     "<U0025><U0041><U0020><U0025><U0064><U0020><U0025><U0062>/
-<U0020><U0025><U0059><U0020><U0025><U0049><U003A><U0025><U004D><U003A>/
-<U0025><U0053><U0020><U0025><U0070><U0020><U0025><U005A>"
-%
-% Appropriate date representation
-% %A %d %b %Y
-d_fmt       "<U0025><U0041><U0020><U0025><U0064><U0020><U0025><U0062>/
-<U0020><U0025><U0059>"
-%
-% Appropriate time representation
-% %I:%M:%S  %Z
-t_fmt       "<U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053>/
-<U0020><U0020><U0025><U005A>"
-%
-% Appropriate 12 h time representation (%r)
+d_t_fmt     "<U0025><U0059><U0020><U0025><U0042><U0020><U0025><U0064>/
+<U0020><U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053><U0020>/
+<U0025><U0070>"
+d_fmt       "<U0025><U0059><U0020><U0025><U0042><U0020><U0025><U0064>/
+<U0020><U0025><U0041>"
+t_fmt       "<U0025><U0048><U003A><U0025><U004D><U003A><U0025><U0053>"
 t_fmt_ampm  "<U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053>/
-<U0020><U0025><U0070><U0020><U0025><U005A>"
+<U0020><U0025><U0070>"
 week 7;19971130;1
 END LC_TIME
 
@@ -175,25 +152,18 @@ END LC_PAPER
 
 
 LC_NAME
-% This is the ISO_IEC TR14652 Locale definition for the
-% LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    ""
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+name_fmt  "<U0025><U0070><U0025><U0074><U0025><U0067><U0025><U0074><U0025>/
+<U006D><U0025><U0074><U0025><U0066>"
+name_gen  "<U091C><U094D><U092F><U0942>"
+name_mr   "<U0936><U094D><U0930><U0940><U092E><U093E><U0928><U094D>"
+name_mrs  "<U0936><U094D><U0930><U0940><U092E><U0924><U0940>"
+name_miss "<U0938><U0941><U0936><U094D><U0930><U0940>"
 END LC_NAME
 
 
 LC_ADDRESS
-% This is the ISO_IEC TR14652 Locale definition for the
-% LC_ADDRESS
-postal_fmt  "<U0025><U007A><U0025><U0063><U0025><U0054><U0025><U0073>/
-<U0025><U0062><U0025><U0065><U0025><U0072>"
+postal_fmt	 "<U0025><U0066><U0025><U004E><U0025><U0068><U0025><U0073>/
+<U0025><U004E><U0025><U0054>"
 country_name "<U0928><U0947><U092A><U093E><U0932>"
 country_ab2 "<U004E><U0050>"
 country_ab3 "<U004E><U0050><U004C>"
@@ -212,12 +182,9 @@ END LC_ADDRESS
 
 
 LC_TELEPHONE
-% This is the ISO_IEC TR14652 Locale definition for the
-%
-tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
-<U003B><U0025><U006C>"
+tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0025><U0074><U0025>/
+<U006C>"
 int_prefix     "<U0039><U0037><U0037>"
-
 END LC_TELEPHONE
 
 