diff --git a/localedata/locales/bo_CN b/localedata/locales/bo_CN
index 708ceb3..987e301 100644
--- a/localedata/locales/bo_CN
+++ b/localedata/locales/bo_CN
@@ -170,7 +170,7 @@ country_ab2	"<U0043><U004E>"
 country_ab3	"<U0043><U0048><U004E>"
 country_num	156
 country_car "<U0043><U0048><U004E>"
-country_isbn	"<U0037>"
+country_isbn	7
 lang_name     "<U0F56><U0F7C><U0F51><U0F0B><U0F66><U0F90><U0F51><U0F0B>"
 % bo
 lang_ab       "<U0062><U006F>"
diff --git a/localedata/locales/fa_IR b/localedata/locales/fa_IR
index c5a22c4..1e59703 100644
--- a/localedata/locales/fa_IR
+++ b/localedata/locales/fa_IR
@@ -476,7 +476,7 @@ country_ab2    "<U0049><U0052>"
 country_ab3    "<U0049><U0052><U004E>"
 country_num    364
 country_car    "<U0049><U0052>"
-country_isbn   "<U0039><U0036><U0034>"
+country_isbn   964
 lang_name      "<U0641><U0627><U0631><U0633><U06CC>"
 lang_ab        "<U0066><U0061>"
 lang_term      "<U0066><U0061><U0073>"
diff --git a/localedata/locales/nan_TW@latin b/localedata/locales/nan_TW@latin
index 5379b23..ec1c9e6 100644
--- a/localedata/locales/nan_TW@latin
+++ b/localedata/locales/nan_TW@latin
@@ -187,7 +187,7 @@ country_ab2	"<U0054><U0057>"
 country_ab3	"<U0054><U0057><U004E>"
 country_num	158
 country_car "<U0052><U0043>"
-country_isbn	"<U0039><U0035><U0037>"
+country_isbn	957
 %lang_name "Bân-lâm-gú, Hō-ló-oē"
 lang_name "<U0042><U00E2><U006E><U002D><U006C><U00E2><U006D><U002D><U0067><U00FA><U002C><U0020><U0048><U014D><U002D><U006C><U00F3><U002D><U006F><U0113>"
 lang_term "<U006E><U0061><U006E>"
diff --git a/localedata/locales/nr_ZA b/localedata/locales/nr_ZA
index cf6a609..ea8083a 100644
--- a/localedata/locales/nr_ZA
+++ b/localedata/locales/nr_ZA
@@ -233,7 +233,8 @@ country_car   "<U005A><U0041>"
 
 % FIXME define the following correctly
 % country_isbn ""
-% country_num
+% iso-3166.def 710
+country_num 710
 
 % Language name in Southern Ndebele - "IsiNdebele"
 lang_name "<U0049><U0073><U0069><U004E><U0064><U0065><U0062><U0065><U006C><U0065>"
diff --git a/localedata/locales/sr_RS b/localedata/locales/sr_RS
index cedf0f7..6d58f87 100644
--- a/localedata/locales/sr_RS
+++ b/localedata/locales/sr_RS
@@ -341,7 +341,7 @@ country_name  "<U0421><U0440><U0431><U0438><U0458><U0430>"
 country_num   688
 country_car   "<U0053><U0052><U0042>"
 % FIXME: ISBN code is what? "86" that preceedes all the numbers?
-country_isbn  "<U0038><U0036>"
+country_isbn  86
 lang_name     "<U0441><U0440><U043F><U0441><U043A><U0438>"
 % srp
 lang_term     "<U0073><U0072><U0070>"
diff --git a/localedata/locales/sr_RS@latin b/localedata/locales/sr_RS@latin
index 856ccff..6ecfb40 100644
--- a/localedata/locales/sr_RS@latin
+++ b/localedata/locales/sr_RS@latin
@@ -159,7 +159,7 @@ country_post  "<U0053><U0052><U0042>"
 country_name "<U0053><U0072><U0062><U0069><U006A><U0061>"
 country_num   688
 country_car   "<U0053><U0052><U0042>"
-country_isbn  "<U0038><U0036>"
+country_isbn  86
 lang_name     "<U0073><U0072><U0070><U0073><U006B><U0069>"
 % srp
 lang_term     "<U0073><U0072><U0070>"
diff --git a/localedata/locales/ug_CN b/localedata/locales/ug_CN
index 3773176..8cdb926 100644
--- a/localedata/locales/ug_CN
+++ b/localedata/locales/ug_CN
@@ -325,7 +325,7 @@ country_ab2	"<U0043><U004E>"
 country_ab3	"<U0043><U0048><U004E>"
 country_num	156
 country_car "<U0043><U0048><U004E>"
-country_isbn	"<U0037>"
+country_isbn	7
 % ug
 lang_ab      "<U0075><U0067>"
 % uig
diff --git a/localedata/locales/yue_HK b/localedata/locales/yue_HK
index 67151f9..08ab0a1 100644
--- a/localedata/locales/yue_HK
+++ b/localedata/locales/yue_HK
@@ -158,7 +158,7 @@ country_ab2 "<U0048><U004B>"
 country_ab3 "<U0048><U004B><U0047>"
 country_num 344
 country_car "<U0048><U004B>"
-country_isbn "<U0039><U0036><U0032>"
+country_isbn 962
 lang_name "<U7CB5><U8A9E>"
 % yue
 lang_term    "<U0079><U0075><U0065>"
diff --git a/localedata/locales/zh_CN b/localedata/locales/zh_CN
index a1bec7c..683aa71 100644
--- a/localedata/locales/zh_CN
+++ b/localedata/locales/zh_CN
@@ -184,7 +184,7 @@ country_ab2	"<U0043><U004E>"
 country_ab3	"<U0043><U0048><U004E>"
 country_num	156
 country_car "<U0043><U0048><U004E>"
-country_isbn	"<U0037>"
+country_isbn	7
 lang_name	"<U4E2D><U6587>"
 lang_ab		"<U007A><U0068>"
 lang_term	"<U007A><U0068><U006F>"
diff --git a/localedata/locales/zh_TW b/localedata/locales/zh_TW
index 08ebd9c..913c594 100644
--- a/localedata/locales/zh_TW
+++ b/localedata/locales/zh_TW
@@ -189,7 +189,7 @@ country_ab2	"<U0054><U0057>"
 country_ab3	"<U0054><U0057><U004E>"
 country_num	158
 country_car "<U0052><U0043>"
-country_isbn	"<U0039><U0035><U0037>"
+country_isbn	957
 
 % Reference:	http://lcweb.loc.gov/standards/iso639-2/langhome.html
 % lang_ab:	zh