diff --git a/localedata/locales/ar_KW b/localedata/locales/ar_KW
index 8db77c5..1bf6521 100644
--- a/localedata/locales/ar_KW
+++ b/localedata/locales/ar_KW
@@ -205,7 +205,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0039><U0036><U0035>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ar_LY b/localedata/locales/ar_LY
index d9b21c4..dbd3a73 100644
--- a/localedata/locales/ar_LY
+++ b/localedata/locales/ar_LY
@@ -205,7 +205,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0032><U0031><U0038>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ar_QA b/localedata/locales/ar_QA
index c94bfbb..872bbed 100644
--- a/localedata/locales/ar_QA
+++ b/localedata/locales/ar_QA
@@ -205,7 +205,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0039><U0037><U0034>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ar_SA b/localedata/locales/ar_SA
index 84f16a9..c327c2d 100644
--- a/localedata/locales/ar_SA
+++ b/localedata/locales/ar_SA
@@ -366,6 +366,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0039><U0036><U0036>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/ar_SD b/localedata/locales/ar_SD
index 91b3ac4..8bb2da3 100644
--- a/localedata/locales/ar_SD
+++ b/localedata/locales/ar_SD
@@ -213,7 +213,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0032><U0034><U0039>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ar_SS b/localedata/locales/ar_SS
index 1dbd4d4..d655fbe 100644
--- a/localedata/locales/ar_SS
+++ b/localedata/locales/ar_SS
@@ -210,7 +210,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0032><U0031><U0031>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ar_SY b/localedata/locales/ar_SY
index 8d491bc..0c1039c 100644
--- a/localedata/locales/ar_SY
+++ b/localedata/locales/ar_SY
@@ -222,7 +222,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0039><U0036><U0033>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ar_TN b/localedata/locales/ar_TN
index 671b0ce..294385d 100644
--- a/localedata/locales/ar_TN
+++ b/localedata/locales/ar_TN
@@ -210,7 +210,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0032><U0031><U0036>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ar_YE b/localedata/locales/ar_YE
index 1ff05df..7d53420 100644
--- a/localedata/locales/ar_YE
+++ b/localedata/locales/ar_YE
@@ -203,7 +203,8 @@ LC_TELEPHONE
 tel_int_fmt "<U002B><U0025><U0063><U0020><U003B><U0025><U0061><U0020>/
 <U003B><U0025><U006C>"
 int_prefix  "<U0039><U0036><U0037>"
-
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 
diff --git a/localedata/locales/ca_AD b/localedata/locales/ca_AD
index 77c4047..94e938a 100644
--- a/localedata/locales/ca_AD
+++ b/localedata/locales/ca_AD
@@ -77,6 +77,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0033><U0037><U0036>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/es_MX b/localedata/locales/es_MX
index 5277aaf..52706e0 100644
--- a/localedata/locales/es_MX
+++ b/localedata/locales/es_MX
@@ -133,6 +133,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0035><U0032>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT