diff --git a/localedata/locales/es_NI b/localedata/locales/es_NI
index 65d9914..0f43349 100644
--- a/localedata/locales/es_NI
+++ b/localedata/locales/es_NI
@@ -126,6 +126,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0035><U0030><U0035>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/es_PE b/localedata/locales/es_PE
index 03dd7e2..d7b8e97 100644
--- a/localedata/locales/es_PE
+++ b/localedata/locales/es_PE
@@ -132,6 +132,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0035><U0031>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/es_PR b/localedata/locales/es_PR
index 1702015..9265bf5 100644
--- a/localedata/locales/es_PR
+++ b/localedata/locales/es_PR
@@ -125,6 +125,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0031>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/es_PY b/localedata/locales/es_PY
index eab51db..a2b2386 100644
--- a/localedata/locales/es_PY
+++ b/localedata/locales/es_PY
@@ -131,6 +131,7 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0035><U0039><U0035>"
+int_select     "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/es_VE b/localedata/locales/es_VE
index cd7758f..02ecd0b 100644
--- a/localedata/locales/es_VE
+++ b/localedata/locales/es_VE
@@ -133,6 +133,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0035><U0038>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/fo_FO b/localedata/locales/fo_FO
index 3e4148c..0509d33 100644
--- a/localedata/locales/fo_FO
+++ b/localedata/locales/fo_FO
@@ -123,6 +123,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0032><U0039><U0038>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/fr_CH b/localedata/locales/fr_CH
index a34e883..63a5d84 100644
--- a/localedata/locales/fr_CH
+++ b/localedata/locales/fr_CH
@@ -120,6 +120,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0034><U0031>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/fr_LU b/localedata/locales/fr_LU
index 630c629..b0ee356 100644
--- a/localedata/locales/fr_LU
+++ b/localedata/locales/fr_LU
@@ -136,6 +136,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0033><U0035><U0032>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/ga_IE b/localedata/locales/ga_IE
index 7d04ae1..3642133 100644
--- a/localedata/locales/ga_IE
+++ b/localedata/locales/ga_IE
@@ -138,6 +138,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0033><U0035><U0033>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/gl_ES b/localedata/locales/gl_ES
index 6174802..365ab5b 100644
--- a/localedata/locales/gl_ES
+++ b/localedata/locales/gl_ES
@@ -137,6 +137,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0033><U0034>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT
diff --git a/localedata/locales/gv_GB b/localedata/locales/gv_GB
index 23b9b78..8244e0b 100644
--- a/localedata/locales/gv_GB
+++ b/localedata/locales/gv_GB
@@ -149,6 +149,8 @@ LC_TELEPHONE
 tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
 <U006C>"
 int_prefix     "<U0034><U0034>"
+% 00
+int_select  "<U0030><U0030>"
 END LC_TELEPHONE
 
 LC_MEASUREMENT