diff --git a/localedata/locales/ar_AE b/localedata/locales/ar_AE
index 0b8efc7..b417d7a 100644
--- a/localedata/locales/ar_AE
+++ b/localedata/locales/ar_AE
@@ -164,14 +164,7 @@ LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
 %
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_BH b/localedata/locales/ar_BH
index a76e070..bd30a4e 100644
--- a/localedata/locales/ar_BH
+++ b/localedata/locales/ar_BH
@@ -168,14 +168,7 @@ LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
 %
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_DZ b/localedata/locales/ar_DZ
index fa01c71..04ab389 100644
--- a/localedata/locales/ar_DZ
+++ b/localedata/locales/ar_DZ
@@ -172,15 +172,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_EG b/localedata/locales/ar_EG
index 612b8fa..1b8c5d4 100644
--- a/localedata/locales/ar_EG
+++ b/localedata/locales/ar_EG
@@ -173,15 +173,13 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
 name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
 <U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+name_gen    ""
+name_mr     "<U0627><U0644><U0633><U064A><U062F>"
+name_mrs    "<U0627><U0644><U0633><U064A><U062F><U0629>"
+name_miss   "<U064A><U063A><U064A><U0628>"
+name_ms     "<U0627><U0644><U0622><U0646><U0633><U0629>"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_IN b/localedata/locales/ar_IN
index 791e63c..305b0c1 100644
--- a/localedata/locales/ar_IN
+++ b/localedata/locales/ar_IN
@@ -149,17 +149,7 @@ END LC_PAPER
 
 
 LC_NAME
-% This is the ISO_IEC TR14652 Locale definition for the LC_NAME category
-% generated by IBM Basic CountryPack Transformer.
-%
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074><U0025><U0067>"
-name_gen    ""
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_IQ b/localedata/locales/ar_IQ
index b0265cd..dd99519 100644
--- a/localedata/locales/ar_IQ
+++ b/localedata/locales/ar_IQ
@@ -172,15 +172,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_JO b/localedata/locales/ar_JO
index b9d53b3..04d46ba 100644
--- a/localedata/locales/ar_JO
+++ b/localedata/locales/ar_JO
@@ -184,15 +184,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_KW b/localedata/locales/ar_KW
index 1bf6521..3e3a1d3 100644
--- a/localedata/locales/ar_KW
+++ b/localedata/locales/ar_KW
@@ -166,15 +166,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_LB b/localedata/locales/ar_LB
index 852a2d7..405c5b1 100644
--- a/localedata/locales/ar_LB
+++ b/localedata/locales/ar_LB
@@ -182,15 +182,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_LY b/localedata/locales/ar_LY
index dbd3a73..237ebb5 100644
--- a/localedata/locales/ar_LY
+++ b/localedata/locales/ar_LY
@@ -166,15 +166,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_MA b/localedata/locales/ar_MA
index d554d8f..e3999ae 100644
--- a/localedata/locales/ar_MA
+++ b/localedata/locales/ar_MA
@@ -172,15 +172,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_OM b/localedata/locales/ar_OM
index 10a92ef..2150817 100644
--- a/localedata/locales/ar_OM
+++ b/localedata/locales/ar_OM
@@ -166,15 +166,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_QA b/localedata/locales/ar_QA
index 872bbed..001e8e5 100644
--- a/localedata/locales/ar_QA
+++ b/localedata/locales/ar_QA
@@ -166,15 +166,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_SD b/localedata/locales/ar_SD
index 8bb2da3..f61bd0c 100644
--- a/localedata/locales/ar_SD
+++ b/localedata/locales/ar_SD
@@ -172,15 +172,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_SS b/localedata/locales/ar_SS
index d655fbe..8120c01 100644
--- a/localedata/locales/ar_SS
+++ b/localedata/locales/ar_SS
@@ -170,15 +170,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_SY b/localedata/locales/ar_SY
index 0c1039c..48e4869 100644
--- a/localedata/locales/ar_SY
+++ b/localedata/locales/ar_SY
@@ -183,15 +183,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 
diff --git a/localedata/locales/ar_TN b/localedata/locales/ar_TN
index 294385d..0963bda 100644
--- a/localedata/locales/ar_TN
+++ b/localedata/locales/ar_TN
@@ -171,15 +171,7 @@ END LC_PAPER
 LC_NAME
 % This is the ISO_IEC TR14652 Locale definition for the
 % LC_NAME category.
-%
-name_fmt    "<U0025><U0070><U0025><U0074><U0025><U0066><U0025><U0074>/
-<U0025><U0067>"
-name_gen    "<U002D><U0073><U0061><U006E>"
-name_mr     "<U004D><U0072><U002E>"
-name_mrs    "<U004D><U0072><U0073><U002E>"
-name_miss   "<U004D><U0069><U0073><U0073><U002E>"
-name_ms     "<U004D><U0073><U002E>"
-
+copy "ar_EG"
 END LC_NAME
 
 